﻿$ErrorActionPreference = 'Stop'; # stop on all errors

$packageName= $env:ChocolateyPackageName
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/log2timeline/plaso/releases/download/20170930/plaso-20170930-amd64.zip'
$url64      = 'https://github.com/log2timeline/plaso/releases/download/20170930/plaso-20170930-amd64.zip'


$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  softwareName  = 'plaso'
  checksum      = '99F54DEDC902107DFFF9FCF9F308082F7F7FF12D26AB7CBB18B95A082549B91B'
  checksumType  = 'sha256'
  checksum64    = '99F54DEDC902107DFFF9FCF9F308082F7F7FF12D26AB7CBB18B95A082549B91B'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs